package com.trade.service.filestorage.service;

import com.trade.service.filestorage.entity.TFileStorage;
import com.trade.service.filestorage.enums.FileModuleEnum;

import java.io.File;

public interface FileService {

    TFileStorage uploadAndSaveDBRecord(File file, String fileDestDir);

    TFileStorage uploadAndSaveDBRecord(File file, FileModuleEnum fileModuleEnum);
}
